Bug 1415499 - DRM causes kernel oops
Summary: DRM causes kernel oops
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-22 17:18 UTC by Luzemario
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 18:23:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Luzemario 2017-01-22 17:18:12 UTC
Description of problem:

DRM_IRQ routine crashes everytime on Acer Aspire 2920. System become unusable.

Version-Release number of selected component (if applicable):


How reproducible: ever screen terminal change operation


Steps to Reproduce:
1. Issue a CTRL-ALT-Fx to change terminals
2. Press CTRL-ALT-BACKSPACE when enabled
3. Just start the X server

Actual results:
The machine hangs and cannot be used.

Expected results:
No KMS/X server crashes

Additional info:

[  167.392070] [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:29:pipe B] flip_done timed out
[  167.493052] ------------[ cut here ]------------
[  167.493098] WARNING: CPU: 0 PID: 1156 at drivers/gpu/drm/drm_irq.c:1224 drm_wait_one_vblank+0x1b6/0x1c0 [drm]
[  167.493099] vblank wait timed out on crtc 1
[  167.493100] Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw ebtable_filter ebtables ip6table_filter ip6_tables binfmt_misc arc4 iwl3945 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic iwlegacy coretemp snd_hda_intel acer_wmi snd_hda_codec iTCO_wdt mac80211 iTCO_vendor_support sparse_keymap snd_hda_core uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media snd_hwdep joydev snd_seq snd_seq_device
[  167.493160]  snd_pcm cfg80211 i2c_i801 i2c_smbus lpc_ich rfkill snd_timer snd soundcore shpchp wmi acpi_cpufreq tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 tg3 i2c_algo_bit drm_kms_helper drm serio_raw ums_realtek ata_generic uas pata_acpi ptp usb_storage pps_core video fjes
[  167.493196] CPU: 0 PID: 1156 Comm: Xorg Tainted: G        W       4.8.14-200.fc24.x86_64 #1
[  167.493198] Hardware name: Acer            Aspire 2920                    /Calado                         , BIOS V1.13           02/14/2008
[  167.493201]  0000000000000286 00000000dfe7b0d0 ffff92319af93918 ffffffff9f3e5ded
[  167.493205]  ffff92319af93968 0000000000000000 ffff92319af93958 ffffffff9f0a0e8b
[  167.493209]  000004c800000000 ffff923136340000 0000000000000001 0000000000000000
[  167.493213] Call Trace:
[  167.493222]  [<ffffffff9f3e5ded>] dump_stack+0x63/0x86
[  167.493227]  [<ffffffff9f0a0e8b>] __warn+0xcb/0xf0
[  167.493230]  [<ffffffff9f0a0f0f>] warn_slowpath_fmt+0x5f/0x80
[  167.493234]  [<ffffffff9f0e4b13>] ? finish_wait+0x53/0x70
[  167.493249]  [<ffffffffc011ac66>] drm_wait_one_vblank+0x1b6/0x1c0 [drm]
[  167.493252]  [<ffffffff9f0e4d70>] ? prepare_to_wait_event+0xf0/0xf0
[  167.493342]  [<ffffffffc0264182>] intel_get_load_detect_pipe+0x662/0x680 [i915]
[  167.493380]  [<ffffffffc02a190f>] intel_tv_detect+0x13f/0x5c0 [i915]
[  167.493384]  [<ffffffff9f1f1c05>] ? do_wp_page+0x105/0x870
[  167.493406]  [<ffffffffc018204b>] drm_helper_probe_single_connector_modes+0x27b/0x520 [drm_kms_helper]
[  167.493411]  [<ffffffff9f8011b2>] ? mutex_lock+0x12/0x30
[  167.493429]  [<ffffffffc0125f02>] drm_mode_getconnector+0x372/0x3c0 [drm]
[  167.493432]  [<ffffffff9f80123b>] ? __mutex_unlock_slowpath+0x6b/0x90
[  167.493446]  [<ffffffffc0118fa0>] drm_ioctl+0x200/0x4f0 [drm]
[  167.493449]  [<ffffffff9f1f1c05>] ? do_wp_page+0x105/0x870
[  167.493467]  [<ffffffffc0125b90>] ? drm_mode_getcrtc+0x140/0x140 [drm]
[  167.493471]  [<ffffffff9f264c93>] do_vfs_ioctl+0xa3/0x5f0
[  167.493474]  [<ffffffff9f265259>] SyS_ioctl+0x79/0x90
[  167.493477]  [<ffffffff9f803b32>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[  167.493479] ---[ end trace 98eca5a66fc69944 ]---
[  167.632042] ------------[ cut here ]------------

Comment 1 Igor Gnatenko 2017-01-22 17:23:27 UTC
seems like bug in kernel.

Comment 2 Luzemario 2017-01-23 15:14:32 UTC
I agree. This was noted after a kernel update (I don't remember the last working version, maybe 5 versions back).

Due to lack of time I could not report this before.

Luzemário

Comment 3 Laura Abbott 2018-04-06 18:23:45 UTC
Doing some pruning, this bug looks to be several kernel versions old. Please test on a newer kernel and reopen if the problem still exists.


Note You need to log in before you can comment on or make changes to this bug.